<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="style.css">
    <title>Zadanie P48c - Tablica dwuwymiarowa znaków</title>
</head>
<body>
<header>
    <h1>Zadanie P48c</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="block">
    <p>
        Napisz program, który do dwuwymiarowej tablicy o wymiarach 7 x 7 wpisze wygenerowane losowo znaki ze zbioru:
        <br><br>

        !, @, #, $, %, ^, &, *, (, ),+, =
    </p>
    <ul>
    <li>wyświetli tę tablicę,</li>
    <li>wyświetli ile razy w tablicy wystąpił znak @</li>
    </ul>
</div>
<div class="block">
    <?php
        $znaki = ['!', '@', '#', '$', '%', '^', '&', '*', '(', ')', '+', '='];
        $tablica2D[7][7] = [];


        for ($i = 0; $i < 7; $i++) {
            for ($j = 0; $j < 7; $j++) {
                $tablica[$i][$j] = $znaki[rand(0, count($znaki) - 1)];
            }
        }
        $znak = '@';
        $licznik = 0;
        echo "<table>";
        for ($i = 0; $i < 7; $i++) {
            echo "<tr>";
            for ($j = 0; $j < 7; $j++) {
                echo "<td>" . $tablica[$i][$j] . "</td>";
                if ($tablica[$i][$j] == $znak) {
                    $licznik++;
                }
            }
            echo "</tr>";
        }
        echo "</table>";
        echo "<h3>W tablicy wystąpił znak $znak : $licznik razy</h3>";
    ?>
</div>
</body>
</html>